Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf
Class FOPRtfAttributes

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfAttributes
          org.apache.fop.render.rtf.FOPRtfAttributes

All Implemented Interfaces:
  java.lang.Cloneable

    public class FOPRtfAttributes

extends RtfAttributes

A RtfAttributes subclass that adds some helper set methods.

Constructor Summary
`FOPRtfAttributes()`

Method Summary
`RtfAttributes` | `set(java.lang.String name, java.awt.Color color)` Set an attribute that has a Color value.
`RtfAttributes` | `setHalfPoints(java.lang.String name, Length value)` Set an attribute that has a Length value (internal units in half-points)
`RtfAttributes` | `setTwips(java.lang.String name, int value)` Set an attribute using a value in millipoints (internal units in twips)
`RtfAttributes` | `setTwips(java.lang.String name, Length value)` Set an attribute that has a Length value (internal units in twips)

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfAttributes
`addIntegerValue, clone, getValue, getValueAsInteger, getXslAttributes, isSet, nameIterator, set, set, set, set, set, setXslAttributes, toString, unset`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FOPRtfAttributes

    public FOPRtfAttributes()

Method Detail

### setTwips

    public RtfAttributes setTwips(java.lang.String name,
                                  Length value)

  Set an attribute that has a Length value (internal units in twips)

  Parameters:
    `name` - name of attribute
    `value` - value of attribute
  Returns:
    this (which now contains the new entry)

### setTwips

    public RtfAttributes setTwips(java.lang.String name,
                                  int value)

  Set an attribute using a value in millipoints (internal units in twips)

  Parameters:
    `name` - name of attribute
    `value` - value of attribute (in millipoints)
  Returns:
    this (which now contains the new entry)

### setHalfPoints

    public RtfAttributes setHalfPoints(java.lang.String name,
                                       Length value)

  Set an attribute that has a Length value (internal units in half-points)

  Parameters:
    `name` - name of attribute
    `value` - value of attribute
  Returns:
    this (which now contains the new entry)

### set

    public RtfAttributes set(java.lang.String name,
                             java.awt.Color color)

  Set an attribute that has a Color value.

  Parameters:
    `name` - name of attribute
    `color` - value of attribute
  Returns:
    this (which now contains the new entry)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.